From: <a href="/blend/av.cgi?id=20">distant moon</a><BR>
Date: 15 August 2007<P>

Ali & aparajita, Thanks for the kind words.  Obviously having a little issue and writing is the only outlet. ;-)  Probably more to come...tragic how words flow so freely during turbulent times.<BR>
<BR>
also, there was a typo in the poem..."with with"  I hate it when I do that.  But thanks for reading anyway.
<HR>
From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 15 August 2007<P>

distant moon, about <a href="/blend/wv.cgi?id=2007.08.13.21.33.24174">Seven Years Itch</a>:<BR>
seemed like you speaking (not just writing here), distant moon, and that there was emphasis and frustration in that "with with"...so read that way when I looked in on your work. Add my name to the list of admirers on how you penned this piece. Good Good to see you in the subs again ...... Rennie
<HR>
From: <a href="/blend/av.cgi?id=1830">sky</a><BR>
Date: 15 August 2007<P>

i love you
<HR>
From: <a href="/blend/av.cgi?id=1228">night_light</a><BR>
Date: 15 August 2004<P>

Mysteriousone07, about <a href="/blend/wv.cgi?id=2004.05.20.21.58.30638">Come Back To Me</a>:<BR>
<BR>
I would come back to you, all you have to do is take my hand.
<HR>